Membership plugin not compatible with WP 3.5?

After the latest official WP release (1.5) I am getting an error message:

Warning: Missing argument 2 for wpdb::prepare(), called in /home/bdc/public_html/wp-content/plugins/membership/membershipincludes/classes/class.adminbar.php on line 77 and defined in /home/bdc/public_html/wp-includes/wp-db.php on line 990

There are also similar ones when a user is not logged on.

I was just wondering when the compatible version will be released? For now I have PHP errors turned off, but this error is causing a few other conflicts.